backtrace.h File Reference

Go to the source code of this file.

## Functions

void | osmo_generate_backtrace (void)
| Generate and print a call back-trace. More...
void | osmo_log_backtrace (int subsys, int level)
| Generate and log a call back-trace. More...

## Function Documentation

## osmo_generate_backtrace()

void osmo_generate_backtrace | ( | void |  | ) |

Generate and print a call back-trace.

This function will generate a function call back-trace of the current process and print it to stdout.

References _osmo_backtrace().

Referenced by osmo_panic_default().

## osmo_log_backtrace()

void osmo_log_backtrace | ( | int | subsys,
|  | int | level
| ) |  |

Generate and log a call back-trace.

Parameters

  [in] | subsys | Logging sub-system
  [in] | level | Logging level

This function will generate a function call back-trace of the current process and log it to the specified subsystem and level using the libosmocore logging subsystem

References _osmo_backtrace(), level, and subsys.

Referenced by _osmo_fsm_inst_dispatch().